package com.oguerreiro.resilient.service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

/**
 * A DTO for the {@link com.oguerreiro.resilient.domain.Dashboard} entity.
 */
@Schema(description = "Dashboard")
public class DashboardDTO extends AbstractResilientDTO<Long> {

  private static final long serialVersionUID = 1L;

  @NotNull
  @Schema(description = "Required and unique code for the component", requiredMode = Schema.RequiredMode.REQUIRED)
  private String code;

  @NotNull
  @Schema(description = "Name of the component.", requiredMode = Schema.RequiredMode.REQUIRED)
  private String name;

  private String description;

  private Boolean isInternal;

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Boolean getIsInternal() {
    return isInternal;
  }

  public void setIsInternal(Boolean isInternal) {
    this.isInternal = isInternal;
  }

//@formatter:off
  @Override
  public String toString() {
    return "DashboardComponentDTO{" + 
              "id=" + getId() + 
              ", code='" + getCode() + "'" + 
              ", name='" + getName() + "'" + 
              ", description='" + getDescription() + "'" + 
              ", isInternal='" + getIsInternal() + "'" +
              ", version=" + getVersion() + 
           "}";
  }
//@formatter:on
}
